<template>
<div class="CounterButtons">
    <ul>
        <li v-for='(ct, key) in counters' :key='key'>
            <button type="button"
                @click='clickCounter(key)'
                :disabled='ct.available ? null : ""'>

                <span>
                    <u>{{ct.label}}</u>
                    <!-- <i class="material-symbols-outlined icon" v-html='"&#xE898;"'/> -->
                    <i v-if='!ct.available' class="material-symbols-outlined icon" v-html='"&#xE510;"'/>
                    <!-- <i v-else-if='ct.available < 2' class="material-symbols-outlined icon" v-html='"&#xEAC2;"'/> -->
                    <i v-else-if='ct.available < 2' class="material-symbols-outlined icon" v-html='"&#xE897;"'/>

                </span>
                <small v-text='ct.href.replace(/https?:\/\/(www\.)?/, "")'/>
            </button>
        </li>
    </ul>
</div>
</template>

<script lang="ts">
import {Vue, Options, Emit} from '@/vue';
import {WebSiteProfile} from '@/types/metrics';

@Options<ViewCalculis>({
    emits: ['clickData'],
    beforeMount() {
        // this.getUserCounters();
        // this.updateDisallowed().then(() => '');
    },
    async mounted() {
        // await this.validateAvailability();
    },
}) export default class ViewCalculis extends Vue {
    @Emit('clickCounter') clickCounter(key:string):WebSiteProfile|null {
        const counter = this.counters[key];
        if (!counter.available) return null;
        return {...counter};
    }

    // К Александру К по Гуглу и Алексей Ж по Яндексу
    counters: {[key:string]:WebSiteProfile} = {
        aru: {
            key: 'aru',
            googleId: '64480905',
            yandexId: '14913877',
            label: 'Apteka.RU',
            href: 'http://www.apteka.ru',
            available: 0,
        },
        cn: {
            key: 'cn',
            googleId: '9534862',
            yandexId: '158633',
            label: 'Cn.ru',
            href: 'http://www.cn.ru',
            available: 0,
        },
        ptv: {
            key: 'ptv',
            googleId: '78581075',
            yandexId: '64480905',
            label: 'Peers.tv',
            href: 'http://www.peers.tv',
            available: 0,
        },
        longevityintime: {
            key: 'longevityintime',
            googleId: '',
            yandexId: '62063077',
            label: 'longevityintime.org',
            href: 'https://www.intime.digital',
            available: 0,
        },
        longevitycoin: {
            key: 'longevitycoin',
            googleId: '',
            yandexId: '',
            label: 'longevitycoin.org',
            href: 'https://www.longevitycoin.org',
            available: 0,
        },
        longevityscientificresort: {
            key: 'longevityscientificresort',
            googleId: '',
            yandexId: '',
            label: 'longevityscientificresort.com',
            href: 'https://www.longevityscientificresort.com',
            available: 0,
        },
        longevitypetition: {
            key: 'longevitypetition',
            googleId: '',
            yandexId: '',
            label: 'longevitypetition.com',
            href: 'https://www.longevitypetition.com',
            available: 0,
        },
    };

    disallowed:string[] = Object.keys(this.counters);

    countersData = [
        {
            id: 'UA-4739774-1',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-1',
            accountId: '4739774',
            internalWebPropertyId: '9141301',
            name: 'http://www.cn.ru',
            websiteUrl: 'http://www.cn.ru',
            level: 'STANDARD',
            profileCount: 3,
            industryVertical: 'UNSPECIFIED',
            dataRetentionTtl: 'INDEFINITE',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'COLLABORATE',
                    'EDIT',
                    'MANAGE_USERS',
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2008-06-18T07:59:05.000Z',
            updated: '2018-05-10T07:47:27.680Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-1/profiles',
            },
        },
        {
            id: 'UA-4739774-2',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-2',
            accountId: '4739774',
            internalWebPropertyId: '9166142',
            name: 'http://www.novotelecom.ru',
            websiteUrl: 'http://www.novotelecom.ru',
            level: 'STANDARD',
            profileCount: 1,
            industryVertical: 'UNSPECIFIED',
            dataRetentionTtl: 'INDEFINITE',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'COLLABORATE',
                    'EDIT',
                    'MANAGE_USERS',
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2008-06-19T09:49:49.000Z',
            updated: '2018-05-10T07:47:37.887Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-2/profiles',
            },
        },
        {
            id: 'UA-4739774-4',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-4',
            accountId: '4739774',
            internalWebPropertyId: '13575726',
            name: 'http://static.cn.ru',
            websiteUrl: 'http://static.cn.ru',
            level: 'STANDARD',
            profileCount: 1,
            industryVertical: 'UNSPECIFIED',
            dataRetentionTtl: 'INDEFINITE',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'COLLABORATE',
                    'EDIT',
                    'MANAGE_USERS',
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2009-01-19T06:23:20.000Z',
            updated: '2018-05-10T07:47:16.959Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-4/profiles',
            },
        },
        {
            id: 'UA-4739774-5',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-5',
            accountId: '4739774',
            internalWebPropertyId: '22333581',
            name: 'http://peersdata.cn.ru',
            websiteUrl: 'http://peersdata.cn.ru',
            level: 'STANDARD',
            profileCount: 1,
            industryVertical: 'UNSPECIFIED',
            dataRetentionTtl: 'INDEFINITE',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'COLLABORATE',
                    'EDIT',
                    'MANAGE_USERS',
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2009-08-13T10:07:18.000Z',
            updated: '2018-05-10T07:46:53.729Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-5/profiles',
            },
        },
        {
            id: 'UA-4739774-6',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-6',
            accountId: '4739774',
            internalWebPropertyId: '37444202',
            name: 'http://shop.cn.ru',
            websiteUrl: 'http://shop.cn.ru',
            level: 'STANDARD',
            profileCount: 1,
            industryVertical: 'UNSPECIFIED',
            dataRetentionTtl: 'INDEFINITE',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'COLLABORATE',
                    'EDIT',
                    'MANAGE_USERS',
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2010-09-20T10:22:01.723Z',
            updated: '2018-05-10T07:47:05.743Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-6/profiles',
            },
        },
        {
            id: 'UA-4739774-7',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-7',
            accountId: '4739774',
            internalWebPropertyId: '62554289',
            name: 'http://beta.www.cn.ru/',
            websiteUrl: 'http://beta.www.cn.ru/',
            level: 'STANDARD',
            profileCount: 1,
            industryVertical: 'UNSPECIFIED',
            defaultProfileId: '64122897',
            dataRetentionTtl: 'INDEFINITE',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'COLLABORATE',
                    'EDIT',
                    'MANAGE_USERS',
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2012-09-18T03:22:17.251Z',
            updated: '2018-05-10T07:48:38.298Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-7/profiles',
            },
        },
        {
            id: 'UA-4739774-9',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-9',
            accountId: '4739774',
            internalWebPropertyId: '76011694',
            name: 'PeersTV',
            websiteUrl: 'https://peers.tv',
            level: 'STANDARD',
            profileCount: 2,
            industryVertical: 'ARTS_AND_ENTERTAINMENT',
            defaultProfileId: '78581075',
            dataRetentionTtl: 'INDEFINITE',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'COLLABORATE',
                    'EDIT',
                    'MANAGE_USERS',
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2013-11-01T09:02:32.894Z',
            updated: '2021-08-11T09:36:50.208Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-9/profiles',
            },
        },
        {
            id: 'UA-4739774-10',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-10',
            accountId: '4739774',
            internalWebPropertyId: '93207427',
            name: 'Beta.Peers.TV',
            websiteUrl: 'http://beta.peers.tv',
            level: 'STANDARD',
            profileCount: 1,
            industryVertical: 'INTERNET_AND_TELECOM',
            defaultProfileId: '97068528',
            dataRetentionTtl: 'INDEFINITE',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'COLLABORATE',
                    'EDIT',
                    'MANAGE_USERS',
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2015-01-29T05:06:02.938Z',
            updated: '2018-05-10T07:48:32.236Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-10/profiles',
            },
        },
        {
            id: 'UA-4739774-11',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-11',
            accountId: '4739774',
            internalWebPropertyId: '94367766',
            name: 'All AdMob apps',
            websiteUrl: '--',
            level: 'STANDARD',
            profileCount: 1,
            industryVertical: 'UNSPECIFIED',
            defaultProfileId: '98331667',
            dataRetentionTtl: 'INDEFINITE',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'COLLABORATE',
                    'EDIT',
                    'MANAGE_USERS',
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2015-02-24T03:39:11.618Z',
            updated: '2018-05-10T07:48:26.332Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-11/profiles',
            },
        },
        {
            id: 'UA-4739774-12',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-12',
            accountId: '4739774',
            internalWebPropertyId: '111708330',
            name: 'Мобильная пирсуля',
            websiteUrl: 'http://m.peers.tv',
            level: 'STANDARD',
            profileCount: 1,
            industryVertical: 'ARTS_AND_ENTERTAINMENT',
            defaultProfileId: '116595932',
            dataRetentionTtl: 'INDEFINITE',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'COLLABORATE',
                    'EDIT',
                    'MANAGE_USERS',
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2016-02-12T07:42:13.866Z',
            updated: '2018-05-10T07:48:20.376Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/4739774/webproperties/UA-4739774-12/profiles',
            },
        },
        {
            id: 'UA-35149245-1',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245/webproperties/UA-35149245-1',
            accountId: '35149245',
            internalWebPropertyId: '62887503',
            name: 'Desktop - Production - Apteka.RU',
            websiteUrl: 'https://apteka.ru',
            level: 'STANDARD',
            profileCount: 66,
            industryVertical: 'HEALTHCARE',
            defaultProfileId: '64480905',
            dataRetentionTtl: 'INDEFINITE',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2012-09-27T12:00:26.327Z',
            updated: '2021-11-30T20:56:03.549Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245/webproperties/UA-35149245-1/profiles',
            },
        },
        {
            id: 'UA-35149245-2',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245/webproperties/UA-35149245-2',
            accountId: '35149245',
            internalWebPropertyId: '72652996',
            name: 'Apromo.BIZ',
            websiteUrl: 'http://apromo.biz',
            level: 'STANDARD',
            profileCount: 1,
            industryVertical: 'UNSPECIFIED',
            defaultProfileId: '75005205',
            dataRetentionTtl: 'MONTHS_26',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2013-07-29T15:22:14.159Z',
            updated: '2018-08-16T01:48:16.205Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245/webproperties/UA-35149245-2/profiles',
            },
        },
        {
            id: 'UA-35149245-3',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245/webproperties/UA-35149245-3',
            accountId: '35149245',
            internalWebPropertyId: '87824715',
            name: 'iOS - Alfa - Apteka.RU',
            level: 'STANDARD',
            profileCount: 1,
            industryVertical: 'HEALTHCARE',
            defaultProfileId: '91188206',
            dataRetentionTtl: 'MONTHS_26',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2014-09-15T12:17:00.725Z',
            updated: '2018-08-16T01:48:16.206Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245/webproperties/UA-35149245-3/profiles',
            },
        },
        {
            id: 'UA-35149245-4',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245/webproperties/UA-35149245-4',
            accountId: '35149245',
            internalWebPropertyId: '103366137',
            name: 'Android - Production - Apteka.RU',
            websiteUrl: '--',
            level: 'STANDARD',
            profileCount: 1,
            industryVertical: 'HEALTHCARE',
            defaultProfileId: '107490557',
            dataRetentionTtl: 'MONTHS_26',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2015-08-27T13:32:30.056Z',
            updated: '2019-02-22T20:57:49.712Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245/webproperties/UA-35149245-4/profiles',
            },
        },
        {
            id: 'UA-35149245-5',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245/webproperties/UA-35149245-5',
            accountId: '35149245',
            internalWebPropertyId: '103374807',
            name: 'iOS - Production - Apteka.RU',
            websiteUrl: '--',
            level: 'STANDARD',
            profileCount: 1,
            industryVertical: 'HEALTHCARE',
            defaultProfileId: '107501309',
            dataRetentionTtl: 'MONTHS_26',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2015-08-27T13:55:28.159Z',
            updated: '2018-08-16T01:48:16.205Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245/webproperties/UA-35149245-5/profiles',
            },
        },
        {
            id: 'UA-35149245-6',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245/webproperties/UA-35149245-6',
            accountId: '35149245',
            internalWebPropertyId: '103374611',
            name: 'Windows Phone - Production - Apteka.RU',
            websiteUrl: '--',
            level: 'STANDARD',
            profileCount: 1,
            industryVertical: 'HEALTHCARE',
            defaultProfileId: '107496231',
            dataRetentionTtl: 'MONTHS_26',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2015-08-27T13:56:23.339Z',
            updated: '2018-08-16T01:48:16.206Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245/webproperties/UA-35149245-6/profiles',
            },
        },
        {
            id: 'UA-35149245-9',
            kind: 'analytics#webproperty',
            selfLink: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245/webproperties/UA-35149245-9',
            accountId: '35149245',
            internalWebPropertyId: '287230268',
            name: 'vsyacosmetika.ru',
            websiteUrl: 'https://vsyacosmetika.ru',
            level: 'STANDARD',
            profileCount: 1,
            industryVertical: 'UNSPECIFIED',
            defaultProfileId: '251652978',
            dataRetentionTtl: 'MONTHS_26',
            dataRetentionResetOnNewActivity: true,
            permissions: {
                effective: [
                    'READ_AND_ANALYZE',
                ],
            },
            created: '2021-09-22T08:02:09.458Z',
            updated: '2021-09-22T08:02:09.458Z',
            parentLink: {
                type: 'analytics#account',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245',
            },
            childLink: {
                type: 'analytics#profiles',
                href: 'https://www.googleapis.com/analytics/v3/management/accounts/35149245/webproperties/UA-35149245-9/profiles',
            },
        },
    ];

    async validateAvailability() {
        const [guglProfiles, yndxCounters] = await Promise.all<any[], any[]>([
            this.$store.dispatch('google/getUserCounters'),
            this.$store.dispatch('yandex/getUserCounters'),
        ]);
        console.log('G', guglProfiles);
        console.log('Y', yndxCounters);
        for (const key in this.counters) {
            const ct = this.counters[key];
            const g = guglProfiles.find(p => ct.googleId === p.id);
            const y = yndxCounters.find(c => ct.yandexId === c.id);
            ct.available = 2;

            if (!y) {
                console.warn('disallow Y', ct.yandexId, ct.label);
                ct.yandexId = false;
                ct.available -= 1;
            } else ct.href = y.site;

            if (!g) {
                console.warn('disallow G', ct.googleId, ct.label);
                ct.googleId = false;
                ct.available -= 1;
            } else ct.href = g.site;
        }
    }

    async updateDisallowed() {
        // const allowed:string[] = await this.$store.dispatch('google/userCounters');
        // const keys = Object.keys(this.counters);
        // this.disallowed = keys.filter(key => allowed.includes(key));
    }
}
</script>

<style lang="less">
@import '@/style/vars';
.CounterButtons {
    ul, li {
        list-style: none;
        padding: 0;
        margin: 0;
    }

    ul {
        display: flex;
        flex-flow: column nowrap;
        justify-content: center;
        align-items: stretch;
        min-height: 100%;
        gap: 0px 0;
    }

    li {
        border-top: 1px solid @border-color;
        &:first-of-type {border-top: 0}
    }

    button {
        border: 0;
        font: inherit;
        background: none;
        color: royalblue;
        cursor: pointer;
        text-align: left;
        white-space: nowrap;
        box-sizing: border-box;
        width: 100%;
        padding: .5rem .75rem;
        transition: background-color linear .25s;
        text-decoration: none;

        &:hover {
            background-color: aliceblue;
            u {text-decoration: underline}
        }

        & > span {
            display: flex;
            flex-flow: row nowrap;
            align-items: flex-end;
            & > u {
                flex: 1 1 auto;
                overflow: hidden;
                text-decoration: inherit;
                text-overflow: ellipsis;
                font-size: .9375rem;
                line-height: 1.25rem;
                color: inherit;
            }
            & > i {
                color: darkorange;
                flex: 0 0 auto;
                margin-left: 3px;
                font-size: 16px;
                line-height: 20px;
                width: 1em;
                height: 22px;
            }
        }
        & > small {
            color: darkgray;
            font-size: 75%;
            flex: 0 0 100%;
        }
    }

    .button {
        cursor: pointer;
        text-align: left;
        white-space: nowrap;
        box-sizing: border-box;
        width: 200px;
        overflow: hidden;
        height: 48px;
        padding: 4px 6px 5px 8px;
        border-radius: 3px;
        margin: 0;
        color: darkcyan;
        border: 1px solid lightgray;
        box-shadow: 0px 2px 5px -2px darkgray;
        &[disabled] {
            pointer-events: none;
            background: whitesmoke;
            color: darkgray;
        }
    }
}
</style>